From fec6681f7ae3e8867bd0446aa993a0b5f23045f9 Mon Sep 17 00:00:00 2001
From: Stefan Krah <skrah@bytereef.org>
Date: Sat, 29 Feb 2020 23:08:04 +0100
Subject: [PATCH] [3.8] Explicitly initialize like the surrounding code
 (GH-18717)

---
 Modules/_decimal/_decimal.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/Modules/_decimal/_decimal.c b/Modules/_decimal/_decimal.c
index 4358c4d68675..df7c6e254bcf 100644
--- a/Modules/_decimal/_decimal.c
+++ b/Modules/_decimal/_decimal.c
@@ -128,7 +128,7 @@ static PyObject *tls_context_key = NULL;
 /* Invariant: NULL or the most recently accessed thread local context */
 static PyDecContextObject *cached_context = NULL;
 #else
-static PyObject *current_context_var;
+static PyObject *current_context_var = NULL;
 #endif
 
 /* Template for creating new thread contexts, calling Context() without
